// DlgProxy.cpp : implementation file
//

#include "stdafx.h"
#include "RR1.h"
#include "DlgProxy.h"
#include "RR1Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRR1DlgAutoProxy

IMPLEMENT_DYNCREATE(CRR1DlgAutoProxy, CCmdTarget)

CRR1DlgAutoProxy::CRR1DlgAutoProxy()
{
	EnableAutomation();
	
	// To keep the application running as long as an automation 
	//	object is active, the constructor calls AfxOleLockApp.
	AfxOleLockApp();

	// Get access to the dialog through the application's
	// main window pointer. Set the proxy's internal pointer
	// to point to the dialog, and set the dialog's back pointer to
	// this proxy.
	ASSERT (AfxGetApp()->m_pMainWnd != NULL);
	ASSERT_VALID (AfxGetApp()->m_pMainWnd);
	ASSERT_KINDOF(CRR1Dlg, AfxGetApp()->m_pMainWnd);
	m_pDialog = (CRR1Dlg*) AfxGetApp()->m_pMainWnd;
	m_pDialog->m_pAutoProxy = this;
}

CRR1DlgAutoProxy::~CRR1DlgAutoProxy()
{
	// To terminate the application when all objects created with
	// 	with automation, the destructor calls AfxOleUnlockApp.
	// Among other things, this will destroy the main dialog
	if (m_pDialog != NULL)
		m_pDialog->m_pAutoProxy = NULL;
	AfxOleUnlockApp();
}

void CRR1DlgAutoProxy::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called. The base class will automatically
	// deletes the object. Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}

BEGIN_MESSAGE_MAP(CRR1DlgAutoProxy, CCmdTarget)
	//{{AFX_MSG_MAP(CRR1DlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CRR1DlgAutoProxy, CCmdTarget)
	//{{AFX_DISPATCH_MAP(CRR1DlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IRR1 to support typesafe binding
// from VBA. This IID must match the GUID that is attached to the 
// dispinterface in the .ODL file.

// {25C60EB6-403E-4696-9AD5-E2C37CAAEB4E}
static const IID IID_IRR1 =
{ 0x25c60eb6, 0x403e, 0x4696, { 0x9a, 0xd5, 0xe2, 0xc3, 0x7c, 0xaa, 0xeb, 0x4e } };

BEGIN_INTERFACE_MAP(CRR1DlgAutoProxy, CCmdTarget)
	INTERFACE_PART(CRR1DlgAutoProxy, IID_IRR1, Dispatch)
END_INTERFACE_MAP()

// The IMPLEMENT_OLECREATE2 macro is defined in StdAfx.h of this project
// {E7AFABF5-44EF-4FB9-95C0-AF9A1E84E294}
IMPLEMENT_OLECREATE2(CRR1DlgAutoProxy, "RR1.Application", 0xe7afabf5, 0x44ef, 0x4fb9, 0x95, 0xc0, 0xaf, 0x9a, 0x1e, 0x84, 0xe2, 0x94)

/////////////////////////////////////////////////////////////////////////////
// CRR1DlgAutoProxy message handlers
