// RR1Dlg.h - This dialog is the meat of the program.
//

#if !defined(AFX_RR1DLG_H__7C7B4619_C9F7_4610_B2D1_471F4C6B1D6F__INCLUDED_)
#define AFX_RR1DLG_H__7C7B4619_C9F7_4610_B2D1_471F4C6B1D6F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRR1DlgAutoProxy;
class CRR3Engine;
#include <memory>	// home of auto_ptr

/////////////////////////////////////////////////////////////////////////////
// CRR1Dlg dialog

class CRR1Dlg : public CDialog {
	DECLARE_DYNAMIC(CRR1Dlg);
	friend class CRR1DlgAutoProxy;

	bool	m_IsInitialUpdate;
// Construction
public:
	CRR1Dlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CRR1Dlg();

// Dialog Data
	//{{AFX_DATA(CRR1Dlg)
	enum { IDD = IDD_RR1_DIALOG };
	CTabCtrl	m_VCR;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRR1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CRR1DlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	//{{AFX_MSG(CRR1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void On0();
	afx_msg void On1();
	afx_msg void On2();
	afx_msg void On3();
	afx_msg void On4();
	afx_msg void On5();
	afx_msg void On6();
	afx_msg void On7();
	afx_msg void On8();
	afx_msg void On9();
	afx_msg void OnRecord();
	afx_msg void OnStop();
	afx_msg void OnClickTab1(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	std::auto_ptr<CRR3Engine> m_Engine;
	int		m_vcrN;	// 0..3

	void	DoIRButton(const char *key);
	void	DoInitialUpdate();
	void	InitVCRTabControl();
	void	ValidateEngine();
	static const char* GetVCRName(int index);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RR1DLG_H__7C7B4619_C9F7_4610_B2D1_471F4C6B1D6F__INCLUDED_)
